Subject: Re: [bug#59253] [PATCH] gnu: emacs-magit: Substitute git executable path.

From: Kyle Meyer <[email-masked]>
Date: Mon, 14 Nov 2022 19:52:36 -0500

Thiago Jung Bauermann via Guix-patches via writes:

> Maxim Cournoyer <[email-masked]> writes:
[...]
>> Won't this make magit unusable from TRAMP (which already seems broken
>> for me since the time we enabled native comp -- anyone else?).
>
> Hm, interesting point. I don't know. I don't use TRAMP because it was
> too slow for me in the couple of times I've tried.
>
> magit/lisp/magit-git.el does have this custom variable though, which
> this patch didn't change:
>
> #+BEGIN_SRC elisp
> (defcustom magit-remote-git-executable "git"
>   "The Git executable used by Magit on remote machines.
> On the local host `magit-git-executable' is used instead.
> Consider customizing `tramp-remote-path' instead of this
> option."
>   :package-version '(magit . "3.2.0")
>   :group 'magit-process
>   :type 'string)
> #+END_SRC elisp
>
> So I'd say it's possible that my patch doesn't affect whether Magit
> works from TRAMP…

That's right.  magit-remote-git-executable is the executable that will
be used when operating remotely via TRAMP, so your patch shouldn't
affect it (and if it does, it's unintended behavior on Magit's end).

Note that, as the :package-version value suggests, this split happened
in a relatively recent release, so previous some previous discussions on
the list (e.g., bug#30434) are now out of date.